> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Upload Job



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}/cancel
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}/cancel:
    post:
      tags:
        - Knowledge Bases
      summary: Cancel Upload Job
      operationId: >-
        POST-V4-/v2/knowledge-bases/{knowledge_base_id}/uploads/{upload_id}/cancel
      parameters:
        - name: knowledge_base_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Id
        - name: upload_id
          in: path
          required: true
          schema:
            type: string
            title: Upload Id
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelKnowledgeBaseV2UploadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            cancel_knowledge_base_upload_response =
            client.knowledge_bases.uploads.cancel(
                upload_id="upload_id",
                knowledge_base_id="knowledge_base_id",
            )

            print(cancel_knowledge_base_upload_response.upload_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcancelKnowledgeBaseUploadResponse, err := client.KnowledgeBases.Uploads.Cancel(\n\t\tcontext.TODO(),\n\t\t\"knowledge_base_id\",\n\t\t\"upload_id\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", cancelKnowledgeBaseUploadResponse.UploadID)\n}\n"
components:
  schemas:
    CancelKnowledgeBaseV2UploadResponse:
      properties:
        upload_id:
          type: string
          title: Upload Id
          description: ID of the knowledge base upload job that was cancelled.
        canceled:
          type: boolean
          title: Canceled
          description: Whether cancellation was successful.
      type: object
      required:
        - upload_id
        - canceled
      title: CancelKnowledgeBaseV2UploadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````